> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/register/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Register POST https://edge.unleash-instance.example.com/api/client/register Content-Type: application/json Reference: https://docs.getunleash.io/api/register ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Body (application/json) This endpoint expects a ClientApplication. - `appName` (string, required) - `interval` (integer, required) - `started` (string, required) - `strategies` (list of string, required) - `platformName` (string, optional, nullable) - `platformVersion` (string, optional, nullable) - `sdkFlavor` (string, optional, nullable) - `sdkFlavorVersion` (string, optional, nullable) - `sdkType` (enum, optional, nullable) - Allowed values: `frontend`, `backend` - `sdkVersion` (string, optional, nullable) - `yggdrasilVersion` (string, optional, nullable) - `connectVia` (list of ConnectVia, optional, nullable) - `connectionId` (string, optional, nullable) - `environment` (string, optional, nullable) - `instanceId` (string, optional, nullable) - `projects` (list of string, optional, nullable) ## Response ### 202 Accepted client application registration ## Errors ### 403 Forbidden Error Was not allowed to register client application - `any` ## Types ### ConnectVia - `appName` (string, required) - `instanceId` (string, required) ## Examples **Request** ```json { "appName": "string", "interval": 1, "started": "2024-01-15T09:30:00Z", "strategies": [ "string" ] } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://edge.unleash-instance.example.com/api/client/register" payload = { "appName": "string", "interval": 1, "started": "2024-01-15T09:30:00Z", "strategies": ["string"] } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://edge.unleash-instance.example.com/api/client/register'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"appName":"string","interval":1,"started":"2024-01-15T09:30:00Z","strategies":["string"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://edge.unleash-instance.example.com/api/client/register" payload := strings.NewReader("{\n \"appName\": \"string\",\n \"interval\": 1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://edge.unleash-instance.example.com/api/client/register") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"appName\": \"string\",\n \"interval\": 1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://edge.unleash-instance.example.com/api/client/register") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"appName\": \"string\",\n \"interval\": 1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://edge.unleash-instance.example.com/api/client/register', [ 'body' => '{ "appName": "string", "interval": 1, "started": "2024-01-15T09:30:00Z", "strategies": [ "string" ] }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://edge.unleash-instance.example.com/api/client/register"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"appName\": \"string\",\n \"interval\": 1,\n \"started\": \"2024-01-15T09:30:00Z\",\n \"strategies\": [\n \"string\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "appName": "string", "interval": 1, "started": "2024-01-15T09:30:00Z", "strategies": ["string"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://edge.unleash-instance.example.com/api/client/register")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```